Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » making birtviewer 3.7.1 compatible for IE9(making birtviewer 3.7.1 compatible for IE9)
making birtviewer 3.7.1 compatible for IE9 [message #987722] Tue, 27 November 2012 18:09 Go to next message
birt user is currently offline birt user
Messages: 11
Registered: August 2012
Junior Member
I have JAVA webapp running on Jetty and I am using BIRT for adhoc reporting. I am using the BIRT taglib in the webapp to make a webservice request to server that is running BIRT webviewer. The app and reports run fine on FF, Chrome and Safari, but IE9 fails.

I have looked at similar issues in BIRT forum where it is suggested that birtviewer only works with IE7 and the only way is to use the compatibility mode of IE9. Unfortunately that is not a solution for me. My requirement is t make the reports render on IE9. This issue is quite old and I am sure there would now be way to support IE9. Any help would be appreciated

BTW I am using frameset and prototype.js version is 1.4.0

thanks

birt user

[Updated on: Tue, 27 November 2012 18:13]

Report message to a moderator

Re: making birtviewer 3.7.1 compatible for IE9 [message #987730 is a reply to message #987722] Tue, 27 November 2012 19:12 Go to previous messageGo to next message
Michael Williams is currently offline Michael Williams
Messages: 1595
Registered: July 2009
Senior Member

So, with 3.7.1, embedding the viewer with the taglib is not working in IE9? That's the issue? What version of Jetty are you using?

Michael

Add interactivity, scheduling, sharing, live Excel export, and JS integration to your BIRT app with the new, free BIRT server, BIRT iHub F-Type.
Re: making birtviewer 3.7.1 compatible for IE9 [message #987821 is a reply to message #987730] Wed, 28 November 2012 09:56 Go to previous messageGo to next message
birt user is currently offline birt user
Messages: 11
Registered: August 2012
Junior Member
Right that is the issue Michael. It does not work in IE9. Two JS errors that I get are

Message: Unable to set value of the property 'overflowX': object is null or undefined
Line: 171
Char: 5
Code: 0
URI: http://localhost:8080/birt/webcontent/birt/ajax/ui/report/AbstractBaseReportDocument.js


Message: Unable to get value of the property 'collect_parameter': object is null or undefined
Line: 238
Char: 3
Code: 0
URI: http://localhost:8080/birt/webcontent/birt/ajax/ui/app/BirtNavigationBar.js

BTW Jetty version is 8.1.1. Any help in resolving this issue is appreciated. I think there might be more like me who are facing the same problem. The current BIRT viewer runs in IE7 compatibility mode which is a major drawback as new versions of IE are being widely used now
Re: making birtviewer 3.7.1 compatible for IE9 [message #988469 is a reply to message #987821] Fri, 30 November 2012 04:14 Go to previous messageGo to next message
Michael Williams is currently offline Michael Williams
Messages: 1595
Registered: July 2009
Senior Member

Can you post the code for the page including the taglib stuff? Also, can you try using run, instead of frameset?

Michael

Add interactivity, scheduling, sharing, live Excel export, and JS integration to your BIRT app with the new, free BIRT server, BIRT iHub F-Type.
Re: making birtviewer 3.7.1 compatible for IE9 [message #988561 is a reply to message #988469] Fri, 30 November 2012 14:12 Go to previous messageGo to next message
birt user is currently offline birt user
Messages: 11
Registered: August 2012
Junior Member
It is little difficult to provide the web page because it is part of tiles framework and has lot of includes. But I am sharing the SOAP URL that is there in the HTML version of the JSP (I have also attached it)

http://localhost:8080/frameset?__navigationbar=false&__report=pub_journal_usage_by_page_type_trend.rptdesign&__masterpage=true&__format=html&__islocale=rp_requestenddate&__id=1354283711446&__showtitle=false

BTW one thing which I missed earlier, when I paste this URL in IE9 address bar the report runs fine. The only problem is when using within the iframe/div it does not render on a webpage

I can't use run because it does not provide toolbar

Anyway it is in your bugzilla, but the status is still NEW

https://bugs.eclipse.org/bugs/show_bug.cgi?id=350736

So is there a solution to this problem
Re: making birtviewer 3.7.1 compatible for IE9 [message #988957 is a reply to message #988561] Tue, 04 December 2012 04:48 Go to previous messageGo to next message
Michael Williams is currently offline Michael Williams
Messages: 1595
Registered: July 2009
Senior Member

So, the workaround suggested doesn't work for you, either? If not, I'd vote on the bug. You might also post in the bug to let them know you're seeing the issue too. The more votes for a bug, the more priority it will get.

Michael

Add interactivity, scheduling, sharing, live Excel export, and JS integration to your BIRT app with the new, free BIRT server, BIRT iHub F-Type.
Re: making birtviewer 3.7.1 compatible for IE9 [message #989036 is a reply to message #988957] Tue, 04 December 2012 11:25 Go to previous messageGo to next message
birt user is currently offline birt user
Messages: 11
Registered: August 2012
Junior Member
Done. added to the bug
Re: making birtviewer 3.7.1 compatible for IE9 [message #992699 is a reply to message #989036] Sat, 22 December 2012 10:25 Go to previous messageGo to next message
birt user is currently offline birt user
Messages: 11
Registered: August 2012
Junior Member
This is now resolved based on the response from Victor on bug 350736. Here is the summary what needs to be done to run BIRT reports in IE9 when using frameset tag

Step1->
In the prototype.js file at line 553, replace:

function () {return new ActiveXObject ('MSXML2.XMLHTTP')},
function () {return new ActiveXObject ('Microsoft.XMLHTTP')},
function () {return new XMLHttpRequest ()}

by:

function () {return new XMLHttpRequest ()},
function () {return new ActiveXObject ('MSXML2.XMLHTTP')},
function () {return new ActiveXObject ('Microsoft.XMLHTTP')}

Step2 ->
In FramesetFragment.jsp comment out this line
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >

Step3 ->
In AbstractBaseReportDocument.js at line 162, replace
if (BrowserUtility.isIE) {
by
if (BrowserUtility.isIE7) {

thanks to Victor for helping resolve this
Re: making birtviewer 3.7.1 compatible for IE9 [message #994873 is a reply to message #992699] Fri, 28 December 2012 14:17 Go to previous messageGo to next message
Michael Williams is currently offline Michael Williams
Messages: 1595
Registered: July 2009
Senior Member

Great! Thanks for updating the thread!

Michael

Add interactivity, scheduling, sharing, live Excel export, and JS integration to your BIRT app with the new, free BIRT server, BIRT iHub F-Type.
icon14.gif  Re: making birtviewer 3.7.1 compatible for IE9 [message #1210541 is a reply to message #988561] Tue, 26 November 2013 02:36 Go to previous messageGo to next message
zhan hanliang is currently offline zhan hanliang
Messages: 1
Registered: November 2013
Junior Member
Thanks! It really solves my problem!! Smile
Re: making birtviewer 3.7.1 compatible for IE9 [message #1213708 is a reply to message #987722] Wed, 27 November 2013 11:01 Go to previous message
manoj meshram is currently offline manoj meshram
Messages: 3
Registered: March 2013
Junior Member
after following your steps, it does not run in IE8. but able to run in IE9 and 10.
Please reply i have prototy.js of version 1.7
Previous Topic:HTML in cross tab?
Next Topic:org.eclipse.birt.data.engine.core.DataException: Fail to execute script in function __bm_FETCH()
Goto Forum:
  


Current Time: Tue Sep 23 18:24:14 GMT 2014

Powered by FUDForum. Page generated in 0.02412 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software